// ArithmeticAcceptor created Jul 11, 2002 12:50:54 PM
// Copyright (c) 2002, Ward Cunningham

public class ArithmeticAcceptor extends Acceptor {

	int x=0;
	int y=0;

    void doRows(Parse rows) {
        super.doRows(rows.more);    // skip column heads
    }

    void doCell(Parse cell, int column) {
        switch (column) {
            case 0: x = (int)parseLong(cell); break;
            case 1: y = (int)parseLong(cell); break;
            case 2: equals(cell, x+y); break;
            case 3: equals(cell, x-y); break;
            case 4: equals(cell, x*y); break;
            case 5: equals(cell, x/y); break;
            default: ignore(cell); break;
        }
    }
}
